//=============================================================================
// MPU ý 
//
// by nexp76(nexp76@naver.com) http://cafe.naver.com/elab
// [config.h]
//=============================================================================

/*
  - [Mega128 EVM] Driver Cinfiguration Define
*/


//#define _HAL_MEGA128_UART
#define _HAL_MEGA8_UART
//#define _HAL_USB128x_UART

//#define _SYS_CLK_AT147456MHZ
//#define _SYS_CLK_AT16MHZ
#define _SYS_CLK_AT12MHZ


//UART1 ϱ 
//#define _UART1_ENABLE
//#define _UART0_ENABLE

//-----------------------------------------------------------------------------
#if 1
#define U0_printf						printf
#define DebugPrint						U0_printf
#define DebugInit						U0_Init
#define DebugGetByte					U0_GetByte
#define DebugIsByte						U0_IsGetByte
#endif

#if 0
#define DebugPrint						printf
#define DebugInit						U1_Init
#define DebugGetByte					U1_GetByte
#define DebugIsByte						U1_IsGetByte
#endif
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
//LED Driver
#define LED1_BIT			BIT2
#define LED1_PORT			PORTB
#define Led1Init()			Sbi(DDRB, LED1_BIT)
#define Led1On()			Cbi(LED1_PORT, LED1_BIT)
#define Led1Off()			Sbi(LED1_PORT, LED1_BIT)
#define Led1Toggle()		Tbi(LED1_PORT, LED1_BIT)

#define LED2_BIT			BIT3
#define LED2_PORT			PORTB
#define Led2Init()			Sbi(DDRB, LED2_BIT)
#define Led2On()			Cbi(LED2_PORT, LED2_BIT)
#define Led2Off()			Sbi(LED2_PORT, LED2_BIT)
#define Led2Toggle()		Tbi(LED2_PORT, LED2_BIT)

//-----------------------------------------------------------------------------
//Switch Driver
#define SW1_BIT				BIT0
#define SW1_PORT			PORTD
#define Sw1Init()			Cbi(DDRD, SW1_BIT)
#define GetSw1()			!(PIND&SW1_BIT)
#define WaitForSw1()		while(GetSw1())



//-----------------------------------------------------------------------------
#define SPI0_SS_BIT						BIT0
#define SPI0_SS_DDR						DDRB
#define SPI0_SS_PORT					PORTB

#define SPI0_SCLK_BIT					BIT1
#define SPI0_SCLK_DDR					DDRB
#define SPI0_SCLK_PORT					PORTB

#define	SPI0_MOSI_BIT					BIT2
#define SPI0_MOSI_DDR					DDRB
#define SPI0_MOSI_PORT					PORTB

#define	SPI0_MISO_BIT					BIT3
#define SPI0_MISO_DDR					DDRB
#define SPI0_MISO_PORT					PORTB


#define IINCHIP_SpiInit					SPI0_Init
#define IINCHIP_SpiSendData				SPI0_SendByte	
#define IINCHIP_SpiRecvData				SPI0_RxData

#define IINCHIP_CS_BIT					BIT0
#define IINCHIP_CS_DDR					DDRB
#define IINCHIP_CS_PORT					PORTB

#define IINCHIP_CSInit()				Sbi(IINCHIP_CS_DDR, IINCHIP_CS_BIT)
#define IINCHIP_CSon()					Sbi(IINCHIP_CS_PORT, IINCHIP_CS_BIT)
#define IINCHIP_CSoff()					Cbi(IINCHIP_CS_PORT, IINCHIP_CS_BIT)
//-----------------------------------------------------------------------------



